vm_exec.c File Reference
`#include <math.h>`
`#include "vmtc.inc"`
`#include "vm.inc"`

Go to the source code of this file.

## Macros

#define | DECL_SC_REG(type, r, reg) register type reg_##r

## Functions

static VALUE | vm_exec_core (rb_thread_t *th, VALUE initial)
const void ** | rb_vm_get_insns_address_table (void)

## Variables

static VALUE | finish_insn_seq [1] = { BIN(finish) }

## Macro Definition Documentation

#define DECL_SC_REG | ( |  | type,
|  |  | r,
|  |  | reg
| ) |  | register type reg_##r

Definition at line 24 of file vm_exec.c.

Referenced by vm_exec_core().

## Function Documentation

const void** rb_vm_get_insns_address_table | ( | void |  | ) |

Definition at line 116 of file vm_exec.c.

References vm_exec_core().

Referenced by rb_iseq_translate_threaded_code().

static VALUE vm_exec_core | ( | rb_thread_t * | th,
|  | VALUE | initial
| ) |  |

static

Definition at line 38 of file vm_exec.c.

References rb_thread_struct::cfp, DECL_SC_REG, END_INSNS_DISPATCH, finish_insn_seq, INSN_DISPATCH, rb_control_frame_t::pc, rb_bug(), and UNLIKELY.

Referenced by rb_vm_get_insns_address_table(), and vm_exec().

## Variable Documentation

VALUE finish_insn_seq[1] = { BIN(finish) }

static

Definition at line 33 of file vm_exec.c.

Referenced by rb_vm_set_finish_env(), vm_exec(), and vm_exec_core().